#include <ftw.h>
#define  FAIL 0
#define	 FILE_ACCEPT 0

int
print_file_attribute(const char *name, const struct stat *status, int type)
{
	if(type == FTW_NS)
		return FAIL;

	if(type == FTW_F)
		printf("File : %-20s %o\n", name, status->st_mode&0777);
	else	if(type == FTW_D)
		printf("directory : %-20s\n", name);
	else	if(type == FTW_DNR)
		printf("Do Not Read : %-20s\n", name);
	else	if(type == FTW_SL)
		printf("Symbolic Link : %-20s\n", name);
	else	if(type == FTW_NS)
		printf("Not Symbolic link : %-20s\n", name);

	return FILE_ACCEPT;
}


main(int argc, char *argv[])
{
	int	print_file_attribute(const char *, const struct stat *, int);
	if(argc == 1)
		{
		puts(" 丮 Ʈ ");
		ftw(".", print_file_attribute, 1);
		}
	else	{
		puts("࿡  丮"
		"  丮  Ʈ");
		if((ftw(argv[1], print_file_attribute, 1)) < 0)
		{
			perror("ftw");
			exit(1);
		}
		} // else
}

