#include <stdio.h>
#include <stdlib.h>
#include <sys/statvfs.h>

main(int argc, char *argv[])
{
	struct	statvfs filesystem_stat;

	if(argc != 2)
		{
		puts("USAGE : % a.out file_system");
		exit(0);
		}

	if(statvfs(argv[1], &filesystem_stat) < 0)
	{
	perror("statvfs");
	exit(1);
	}
	else
	{
	printf("f_bsize = %uL\n"
		"f_frsize = %uL\n"
		"f_blocks = %uL\n"
		"f_bfree = %uL\n"
		"f_bavail = %uL\n"
		"f_fsid = %uL\n"
		"f_namemax = %uL\n",
	
		filesystem_stat.f_bsize,
		filesystem_stat.f_frsize,
		filesystem_stat.f_blocks,
		filesystem_stat.f_bfree,
		filesystem_stat.f_bavail,
		filesystem_stat.f_fsid,
		filesystem_stat.f_namemax);
	}
}
