#include <ftw.h>
#define  FAIL 0
#define	 FILE_ACCEPT 0

int
print_file_attribute(const char *name, const struct stat *status, int type)
{
	if(type == FTW_NS)
		return FAIL;

	if(type == FTW_F)
		printf("%s\n", name);
	else	if(type == FTW_D)
		printf("%s directory\n", name);

	return FILE_ACCEPT;
}


main(int argc, char *argv[])
{
	int	print_file_attribute(const char *, const struct stat *, int);

	if(argc == 1)
		ftw(".", print_file_attribute, 1);
	else	{
		if((ftw(argv[1], print_file_attribute, 1)) < 0)
		perror("ftw");
		}
	putchar('\n');
}

